#ifndef GLOBAL_CONSTANTS_H
#define GLOBAL_CONSTANTS_H

/*      PINS        */
#define RC_THROTTLE_PIN 1
#define RC_YAW_PIN 2

#define MOTOR_PIN_L_ENA 3
#define MOTOR_PIN_L_IN1 5
#define MOTOR_PIN_L_IN2 4

#define MOTOR_PIN_R_ENA 6
#define MOTOR_PIN_R_IN1 8
#define MOTOR_PIN_R_IN2 7


/*      CONSTANT VALUES        */
#define RC_PWM_HIGH 2000
#define RC_PWM_LOW 1000

#define THROTTLE_RANGE_LOW 0
#define THROTTLE_RANGE_HIGH 100

#define YAW_RANGE_LOW -100
#define YAW_RANGE_CENTER 0
#define YAW_RANGE_HIGH 100

#define EARTH_RADIUS_KM 6371
#endif // GLOBAL_CONSTANTS_H
